Winevt (JNA API)

com.sun.jna.platform.win32

## Interface Winevt

-     public interface Winevt

  Ported from winevt.h. Microsoft Windows SDK 10.0.10586
  Author:
    Minoru Sakamoto

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Winevt.EVT_CHANNEL_CLOCK_TYPE` Defines the values that specify the type of time stamp to use when logging events channel.
    `static interface` | `Winevt.EVT_CHANNEL_CONFIG_PROPERTY_ID` Defines the identifiers that identify the configuration properties of a channel.
    `static interface` | `Winevt.EVT_CHANNEL_ISOLATION_TYPE` Defines the default access permissions to apply to the channel.
    `static interface` | `Winevt.EVT_CHANNEL_REFERENCE_FLAGS` Defines the values that specify how a channel is referenced.
    `static interface` | `Winevt.EVT_CHANNEL_SID_TYPE` Defines the values that determine whether the event includes the security identifier (SID) of the principal that logged the event.
    `static interface` | `Winevt.EVT_CHANNEL_TYPE` Defines the type of a channel.
    `static interface` | `Winevt.EVT_EVENT_METADATA_PROPERTY_ID` Defines the identifiers that identify the metadata properties of an event definition.
    `static interface` | `Winevt.EVT_EVENT_PROPERTY_ID` Defines the values that determine the query information to retrieve.
    `static interface` | `Winevt.EVT_EXPORTLOG_FLAGS` Defines values that indicate whether the events come from a channel or log file.
    `static interface` | `Winevt.EVT_FORMAT_MESSAGE_FLAGS` Defines the values that specify the message string from the event to format.
    `static class` | `Winevt.EVT_HANDLE`
    `static interface` | `Winevt.EVT_LOG_PROPERTY_ID` Defines the identifiers that identify the log file metadata properties of a channel or log file.
    `static interface` | `Winevt.EVT_LOGIN_CLASS` Defines the types of connection methods you can use to connect to the remote computer.
    `static interface` | `Winevt.EVT_OPEN_LOG_FLAGS` Defines the values that specify whether to open a channel or exported log file.
    `static interface` | `Winevt.EVT_PUBLISHER_METADATA_PROPERTY_ID` Defines the identifiers that identify the metadata properties of a provider.
    `static interface` | `Winevt.EVT_QUERY_FLAGS` Defines the values that specify how to return the query results and whether you are query against a channel or log file.
    `static interface` | `Winevt.EVT_QUERY_PROPERTY_ID` Defines the identifiers that identify the query information that you can retrieve.
    `static interface` | `Winevt.EVT_RENDER_CONTEXT_FLAGS` Defines the values that specify the type of information to access from the event.
    `static interface` | `Winevt.EVT_RENDER_FLAGS` Defines the values that specify what to render.
    `static class` | `Winevt.EVT_RPC_LOGIN` Contains the information used to connect to a remote computer.
    `static interface` | `Winevt.EVT_RPC_LOGIN_FLAGS` Defines the types of authentication that you can use to authenticate the user when connecting to a remote computer.
    `static interface` | `Winevt.EVT_SEEK_FLAGS` Defines the relative position in the result set from which to seek.
    `static interface` | `Winevt.EVT_SUBSCRIBE_FLAGS` Defines the possible values that specify when to start subscribing to events.
    `static interface` | `Winevt.EVT_SUBSCRIBE_NOTIFY_ACTION` Defines the possible types of data that the subscription service can deliver to your callback.
    `static interface` | `Winevt.EVT_SYSTEM_PROPERTY_ID` Defines the identifiers that identify the system-specific properties of an event.
    `static class` | `Winevt.EVT_VARIANT` Contains event data or property values.
    `static class` | `Winevt.EVT_VARIANT_TYPE` Defines the possible data types of a variant data item.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVT_ALL_ACCESS` All (read, write, clear, and delete) access control permission.
    `static int` | `EVT_CLEAR_ACCESS` Clear access control permission that allows all information to be cleared from an event log.
    `static int` | `EVT_READ_ACCESS` Read access control permission that allows information to be read from an event log.
    `static int` | `EVT_VARIANT_TYPE_ARRAY` The Type member of the EVT_VARIANT structure has this bit set if the variant contains a pointer to an array of values, rather than the value itself.
    `static int` | `EVT_VARIANT_TYPE_MASK` A bitmask that you use to mask out the array bit of the variant type, so you can determine the data type of the variant value that the EVT_VARIANT structure contains.
    `static int` | `EVT_WRITE_ACCESS` Write access control permission that allows information to be written to an event log.

- - ### Field Detail

    - #### EVT_VARIANT_TYPE_ARRAY

          static final int EVT_VARIANT_TYPE_ARRAY

      The Type member of the EVT_VARIANT structure has this bit set if the variant contains a pointer to an array of values, rather than the value itself. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EVT_VARIANT_TYPE_MASK

          static final int EVT_VARIANT_TYPE_MASK

      A bitmask that you use to mask out the array bit of the variant type, so you can determine the data type of the variant value that the EVT_VARIANT structure contains. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EVT_READ_ACCESS

          static final int EVT_READ_ACCESS

      Read access control permission that allows information to be read from an event log. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EVT_WRITE_ACCESS

          static final int EVT_WRITE_ACCESS

      Write access control permission that allows information to be written to an event log. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EVT_ALL_ACCESS

          static final int EVT_ALL_ACCESS

      All (read, write, clear, and delete) access control permission. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

    - #### EVT_CLEAR_ACCESS

          static final int EVT_CLEAR_ACCESS

      Clear access control permission that allows all information to be cleared from an event log. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385781(v=vs.85).aspx
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.